[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

virtualbox has no installation candidate

I followed the recommended Whonix instructions, added Whonix repository, but I can’t install virtualbox package. I can search for plenty of the other packages in the Whonix repository via apt-cache but there is no ‘virtualbox.’ How do I fix this?

Package is not available, but is referred to by another package.

E: Package ‘virtualbox’ has no installation candidate

When I run apt-cache search virtualbox, these are the packages listed:
apparmer-profile-virtualbox
fence-agents
imvirt
imvirt-helper
libimvert-perl
libnss-libvirt
libvirt-clients
libvirt-daemon
libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-rbd

libvirt-dbus
libvirt-dev

packer
python-libvirt
python3-libvirt
shared-folder-helper
vagrant…
virtualbox-dkms
virtualbox-guest-dkms
virtualbox-guest-source
virtualbox-source
vm-config-dist
volatility
xmount

I tried installing virtualbox-source to see what happens. It installs. Doesn’t trigger installation of virtualbox. Don’t know if it should.

I’ve checked my apt sources:
deb https://deb.whonix.org buster main contrib non-free

When I open the Whonix repository in my browser, I can find virtualbox under /pool/contrib/v/

When I read through all of the i386 packages in dists/, I cannot find virtualbox. I downloaded and grep all the files to make sure and there still is no Package: virtualbox

Is this intentional? I avoided KVM because the website is set up to suggest the VirtualBox is the best option, and that I must use your version of it.

Problem solved: Whonix does not support i386. Just noticed that all of these are for amd64:

virtualbox-dbgsym_6.1.6-dfsg-1_amd64.deb 67895592 2020-Apr-17 18:33
virtualbox-dkms_6.0.14-dfsg-2~~bpo10+1_all.deb 718672 2020-Feb-13 14:26
virtualbox-dkms_6.1.6-dfsg-1_amd64.deb 717472 2020-Apr-17 18:33
virtualbox-guest-dkms_6.1.6-dfsg-1_all.deb 691928 2020-Apr-17 18:33
virtualbox-guest-source_6.1.6-dfsg-1_all.deb 1131756 2020-Apr-17 18:33
virtualbox-guest-utils-dbgsym_6.1.6-dfsg-1_amd6…> 5116900 2020-Apr-17 18:33
virtualbox-guest-utils_6.1.6-dfsg-1_amd64.deb 880408 2020-Apr-17 18:33
virtualbox-guest-x11-dbgsym_6.1.6-dfsg-1_amd64.deb 2004116 2020-Apr-17 18:33
virtualbox-guest-x11_6.1.6-dfsg-1_amd64.deb 566656 2020-Apr-17 18:33
virtualbox-qt-dbgsym_6.1.6-dfsg-1_amd64.deb 55248964 2020-Apr-17 18:33
virtualbox-qt_6.1.6-dfsg-1_amd64.deb 21639272 2020-Apr-17 18:33
virtualbox-source_6.0.14-dfsg-2~~bpo10+1_all.deb 858176 2020-Feb-13 14:26
virtualbox-source_6.1.6-dfsg-1_amd64.deb 849972 2020-Apr-17 18:33
virtualbox_6.1.6-dfsg-1.debian.tar.xz 84648 2020-Apr-17 18:33
virtualbox_6.1.6-dfsg-1.dsc 2717 2020-Apr-17 18:33
virtualbox_6.1.6-dfsg-1_amd64.deb 21268276 2020-Apr-17 18:33
virtualbox_6.1.6-dfsg.orig.tar.xz 70574908 2020-Apr-17 18:33

As such, one will not find VirtualBox for i386 in the i386 package lists.

If I had amd64, I would be using TAILS.

Using virtualbox.org repository might work.

https://www.whonix.org/wiki/VirtualBox/Other_Versions#Install_from_VirtualBox.org_Repository

…or that might work in next Whonix release which isn’t too far away.

Bigger issue of yours for using Whonix on i386:

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]